#
# spec file for package python-branca
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-branca
Version:        0.4.0
Release:        bp154.1.15
Summary:        HTML+JS page generator
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/python-visualization/branca
Source:         https://github.com/python-visualization/branca/archive/v%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Jinja2
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Jinja2}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module selenium}
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
Generate HTML+JS pages with Python.

%prep
%setup -q -n branca-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_rendering_utf8_iframe requires geckodriver
%pytest -k 'not test_rendering_utf8_iframe' -v

%files %{python_files}
%doc CHANGES.txt README.md
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Thu Mar  5 2020 pgajdos@suse.com
- version update to 0.4.0
  - Dropped Python 2 support
  - Store html content in a data-html attribute (#66)
  - Colormap alpha #64
  - Fix caption being propagated in scale functions #62
  - Assert color type in color_brewer #52
* Thu Jun  6 2019 pgajdos@suse.com
- run the testsuite
* Mon Jan 21 2019 Todd R <toddrme2178@gmail.com>
- Initial version
